Create cluster from template
curl --request POST \
--url https://{host}/api/cluster-templates/{id}/create \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"clusterName": "<string>",
"supervisor": "<string>",
"variables": {},
"workerGroups": [
{
"class": "<string>",
"name": "<string>",
"replicas": 123,
"vmClass": "<string>",
"vmSize": {
"diskGiB": 123,
"memoryMiB": 123,
"numCPUs": 123
}
}
]
}
'import requests
url = "https://{host}/api/cluster-templates/{id}/create"
payload = {
"clusterName": "<string>",
"supervisor": "<string>",
"variables": {},
"workerGroups": [
{
"class": "<string>",
"name": "<string>",
"replicas": 123,
"vmClass": "<string>",
"vmSize": {
"diskGiB": 123,
"memoryMiB": 123,
"numCPUs": 123
}
}
]
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
clusterName: '<string>',
supervisor: '<string>',
variables: {},
workerGroups: [
{
class: '<string>',
name: '<string>',
replicas: 123,
vmClass: '<string>',
vmSize: {diskGiB: 123, memoryMiB: 123, numCPUs: 123}
}
]
})
};
fetch('https://{host}/api/cluster-templates/{id}/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/cluster-templates/{id}/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'clusterName' => '<string>',
'supervisor' => '<string>',
'variables' => [
],
'workerGroups' => [
[
'class' => '<string>',
'name' => '<string>',
'replicas' => 123,
'vmClass' => '<string>',
'vmSize' => [
'diskGiB' => 123,
'memoryMiB' => 123,
'numCPUs' => 123
]
]
]
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/cluster-templates/{id}/create"
payload := strings.NewReader("{\n \"clusterName\": \"<string>\",\n \"supervisor\": \"<string>\",\n \"variables\": {},\n \"workerGroups\": [\n {\n \"class\": \"<string>\",\n \"name\": \"<string>\",\n \"replicas\": 123,\n \"vmClass\": \"<string>\",\n \"vmSize\": {\n \"diskGiB\": 123,\n \"memoryMiB\": 123,\n \"numCPUs\": 123\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/cluster-templates/{id}/create")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"clusterName\": \"<string>\",\n \"supervisor\": \"<string>\",\n \"variables\": {},\n \"workerGroups\": [\n {\n \"class\": \"<string>\",\n \"name\": \"<string>\",\n \"replicas\": 123,\n \"vmClass\": \"<string>\",\n \"vmSize\": {\n \"diskGiB\": 123,\n \"memoryMiB\": 123,\n \"numCPUs\": 123\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/cluster-templates/{id}/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"clusterName\": \"<string>\",\n \"supervisor\": \"<string>\",\n \"variables\": {},\n \"workerGroups\": [\n {\n \"class\": \"<string>\",\n \"name\": \"<string>\",\n \"replicas\": 123,\n \"vmClass\": \"<string>\",\n \"vmSize\": {\n \"diskGiB\": 123,\n \"memoryMiB\": 123,\n \"numCPUs\": 123\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}templates
Create cluster from template
Cluster Templates
Authorisation: cluster:Create on krn:celum:cluster-template:{id}.
POST
/
api
/
cluster-templates
/
{id}
/
create
Create cluster from template
curl --request POST \
--url https://{host}/api/cluster-templates/{id}/create \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"clusterName": "<string>",
"supervisor": "<string>",
"variables": {},
"workerGroups": [
{
"class": "<string>",
"name": "<string>",
"replicas": 123,
"vmClass": "<string>",
"vmSize": {
"diskGiB": 123,
"memoryMiB": 123,
"numCPUs": 123
}
}
]
}
'import requests
url = "https://{host}/api/cluster-templates/{id}/create"
payload = {
"clusterName": "<string>",
"supervisor": "<string>",
"variables": {},
"workerGroups": [
{
"class": "<string>",
"name": "<string>",
"replicas": 123,
"vmClass": "<string>",
"vmSize": {
"diskGiB": 123,
"memoryMiB": 123,
"numCPUs": 123
}
}
]
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
clusterName: '<string>',
supervisor: '<string>',
variables: {},
workerGroups: [
{
class: '<string>',
name: '<string>',
replicas: 123,
vmClass: '<string>',
vmSize: {diskGiB: 123, memoryMiB: 123, numCPUs: 123}
}
]
})
};
fetch('https://{host}/api/cluster-templates/{id}/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/cluster-templates/{id}/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'clusterName' => '<string>',
'supervisor' => '<string>',
'variables' => [
],
'workerGroups' => [
[
'class' => '<string>',
'name' => '<string>',
'replicas' => 123,
'vmClass' => '<string>',
'vmSize' => [
'diskGiB' => 123,
'memoryMiB' => 123,
'numCPUs' => 123
]
]
]
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/cluster-templates/{id}/create"
payload := strings.NewReader("{\n \"clusterName\": \"<string>\",\n \"supervisor\": \"<string>\",\n \"variables\": {},\n \"workerGroups\": [\n {\n \"class\": \"<string>\",\n \"name\": \"<string>\",\n \"replicas\": 123,\n \"vmClass\": \"<string>\",\n \"vmSize\": {\n \"diskGiB\": 123,\n \"memoryMiB\": 123,\n \"numCPUs\": 123\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/cluster-templates/{id}/create")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"clusterName\": \"<string>\",\n \"supervisor\": \"<string>\",\n \"variables\": {},\n \"workerGroups\": [\n {\n \"class\": \"<string>\",\n \"name\": \"<string>\",\n \"replicas\": 123,\n \"vmClass\": \"<string>\",\n \"vmSize\": {\n \"diskGiB\": 123,\n \"memoryMiB\": 123,\n \"numCPUs\": 123\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/cluster-templates/{id}/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"clusterName\": \"<string>\",\n \"supervisor\": \"<string>\",\n \"variables\": {},\n \"workerGroups\": [\n {\n \"class\": \"<string>\",\n \"name\": \"<string>\",\n \"replicas\": 123,\n \"vmClass\": \"<string>\",\n \"vmSize\": {\n \"diskGiB\": 123,\n \"memoryMiB\": 123,\n \"numCPUs\": 123\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The object's identifier.
Body
application/json
Response
Created. The body is not described: the code sends map[string]any.